Skip to main content
GET
/
v0
/
boards
/
{boardId}
/
charts
List charts for a board
curl --request GET \
  --url https://api.formo.so/v0/boards/{boardId}/charts \
  --header 'Authorization: Bearer <token>'
{
  "isSuccess": true,
  "data": {
    "charts": [
      {
        "id": "<string>",
        "chart_type": "table",
        "title": "<string>",
        "query": "<string>",
        "description": "<string>",
        "project_id": "<string>",
        "board_id": "<string>",
        "x_axis": "<string>",
        "y_axis": [
          "<string>"
        ],
        "group_by": "<string>",
        "settings": {}
      }
    ],
    "board": {
      "id": "<string>",
      "project_id": "<string>",
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "title": "<string>",
      "description": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Path Parameters

boardId
string
required

Response

200 - application/json

Charts with executed query results

isSuccess
boolean
data
object